# Class: Skin

## jala.Form.Component.Skin(name)

Subclass of jala.Form.Component that allows rendering a skin within a form.

## Constructor

#### new Skin(name)

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | The name of the component, used as the name of the skin

Source:
  - jala/code/Form.js, line 1079

##### Returns:

A newly created Skin component instance

### Members

#### (inner) handler

Private field containing the handler object

Source:
  - jala/code/Form.js, line 1085

### Methods

#### getHandler()

Returns the handler object for the skin.

Source:
  - jala/code/Form.js, line 1091

#### render()

Renders the skin named by this component to the response.

Source:
  - jala/code/Form.js, line 1113

#### setHandler(newHandler)

Sets the handler to use when rendering the skin. By default, the form's data object is used a handler.

##### Parameters:

Name | Type | Description
--- | --- | ---
`newHandler` | Object | new skin handler object.

Source:
  - jala/code/Form.js, line 1100